> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search variants

> Search variants with lightweight response containing only name, descriptions, tags, images and attributes Deprecated. Use https://graphql.enad.io instead.



## OpenAPI

````yaml /swagger/shopper-api.json get /api/v1/omni/:app_id/:store_group/:market/:locale/variants/search
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: >-
    This is the documentation for Public API v1. All endpoints in this API are
    deprecated. Use https://graphql.enad.io instead.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //shopper-cdn.enad.io
security: []
paths:
  /api/v1/omni/:app_id/:store_group/:market/:locale/variants/search:
    get:
      tags:
        - Variants
      summary: Search variants
      description: >-
        Search variants with lightweight response containing only name,
        descriptions, tags, images and attributes Deprecated. Use
        https://graphql.enad.io instead.
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Store group
          in: path
          name: store_group
          required: true
          schema:
            type: string
        - description: Alpha 2 country code. e.g `se`
          in: path
          name: locale
          required: true
          schema:
            type: string
        - description: The related product market
          in: path
          name: market
          schema:
            type: string
          required: true
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Items per page (default: 50, max: 50)'
          in: query
          name: per_page
          schema:
            type: integer
        - description: Search query
          in: query
          name: q
          required: true
          schema:
            type: string
        - description: 'Filter by active status only (default: false)'
          in: query
          name: only_active
          schema:
            type: boolean
        - description: Filter by stock availability
          in: query
          name: in_stock
          schema:
            type: boolean
        - description: >-
            Filter by stock availability in a specific warehouse (by warehouse
            slug)
          in: query
          name: in_stock_in
          schema:
            type: string
        - description: 'Sort order. One of name_asc, name_desc, rank (default: rank)'
          in: query
          name: sort
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OkResponseWithPagignation-array_VariantSearchResultDTO
        '400':
          description: Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
      deprecated: true
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponseWithPagignation-array_VariantSearchResultDTO:
      properties:
        data:
          items:
            $ref: '#/components/schemas/VariantSearchResultDTO'
          type: array
        page:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    ErrorMessage:
      description: ErrorMessage is the response for a ErrorMessage
      properties:
        message:
          type: string
      type: object
    VariantSearchResultDTO:
      description: >-
        VariantSearchResultDTO represents a lightweight search result for
        variants.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        brand:
          $ref: '#/components/schemas/ProductBrand'
        id:
          type: string
        images:
          items:
            $ref: '#/components/schemas/ImageDTO'
          type: array
        prices:
          items:
            $ref: '#/components/schemas/VariantPricesDTO'
          type: array
        product_id:
          type: string
        product_name:
          type: string
        product_number:
          type: string
        rank:
          type: number
        tags:
          items:
            $ref: '#/components/schemas/TagDTO'
          type: array
        variant_name:
          type: string
        variant_number:
          type: string
        videos:
          items:
            $ref: '#/components/schemas/VideoDTO'
          type: array
      type: object
    AttributeDTO:
      description: >-
        AttributeDTO represents the data transfer object for an attribute with
        its values.
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValueDTO'
            type: array
          type: object
      type: object
    ProductBrand:
      description: ProductBrand represents a brand with an optional series.
      properties:
        address:
          $ref: '#/components/schemas/BrandAddress'
        name:
          type: string
        series:
          $ref: '#/components/schemas/ProductSeries'
        slug:
          type: string
      type: object
    ImageDTO:
      description: ImageDTO represents the data transfer object for an image.
      properties:
        alt:
          type: string
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        blurhash:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        sort:
          type: integer
        title:
          type: string
        url:
          type: string
      type: object
    VariantPricesDTO:
      description: >-
        VariantPricesDTO extends VariantPrices with additional store group
        information.
      properties:
        channel_type:
          $ref: >-
            #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.ChannelType
        country_of_sale:
          type: string
        markets:
          items:
            $ref: '#/components/schemas/MarketPriceDTO'
          type: array
        store_group_description:
          type: string
        store_group_id:
          type: string
        store_group_name:
          type: string
        store_group_slug:
          type: string
      type: object
    TagDTO:
      description: >-
        TagDTO represents the data transfer object for a tag with simplified
        market information.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        name:
          type: string
        status:
          type: string
        updated_at:
          type: string
      type: object
    VideoDTO:
      description: VideoDTO represents the data transfer object for a video.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        description:
          type: string
        title:
          type: string
        url:
          type: string
      type: object
    AttributeValueDTO:
      description: >-
        AttributeValueDTO represents the data transfer object for an attribute
        value with type information.
      properties:
        image:
          $ref: '#/components/schemas/ImageDTO'
        type:
          type: string
        value:
          type: string
      type: object
    BrandAddress:
      description: BrandAddress represents the address information for a brand.
      properties:
        city:
          type: string
        co_address:
          type: string
        country:
          type: string
        email:
          type: string
        house_number:
          type: string
        postal_code:
          type: string
        state_province:
          type: string
        street_address:
          type: string
      type: object
    ProductSeries:
      description: ProductSeries represents a series within a product brand.
      properties:
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.ChannelType:
      enum:
        - B2B
        - B2C
      type: string
      x-enum-varnames:
        - B2B
        - B2C
    MarketPriceDTO:
      description: >-
        MarketPriceDTO extends MarketPrice with additional tax-related
        information.
      properties:
        base_price_amount:
          type: number
        country_code:
          type: string
        country_codes:
          items:
            type: string
          type: array
        currency:
          type: string
        id:
          type: string
        market_id:
          type: string
        market_slug:
          type: string
        on_sale:
          type: boolean
        reference_price_amount:
          type: number
        sale_end_timestamp:
          type: string
        sale_price_amount:
          type: number
        sale_start_timestamp:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and a token.
      in: header
      name: Authorization
      type: apiKey

````